Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #76  
Old 11 Oct 2013, 01:39
ozzy47's Avatar
ozzy47 ozzy47 is offline
 
Join Date: Jul 2009
Real name: Chris
Did you by chance try disabling all your mods and see if the error is still there?

Open your config.php and below<?php add this line:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

So it looks like this:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

__________________
You can get access to my 180 mods for vB 3.6 - 4.x at The Admin Zone as well as the professional support you are used to. New vBulletin Spider Definitions, vBulletin Spiders List Hits 1000 Spiders! ​ OzzModz down. Site has had a data breach, checking how the intrusion happened. Change your PW if you use the same one on my site and others.
Reply With Quote
  #77  
Old 11 Oct 2013, 02:49
Digital Jedi's Avatar
Digital Jedi Digital Jedi is offline
 
Join Date: Oct 2006
Real name: Mark Daniel Martinez
Originally Posted by findingpeace View Post
Does anyone know what the benefits of 4.2.2 are over 4.2.1? Will my forum run faster with a new version of PHP? Or is it mostly updates to Facebook + PayPal and adding Panjo? I don't use any of those things, so I don't want to pursue this headache if it's not going to result in any performance or security improvements.

Thanks!
The list of what's been updated is posted here: http://www.vbulletin.com/go/422

Take complaints about the update problems with a grain of salt. They're mostly directly related to modification conflicts. And will depend on the users level of understanding of certain things. Not to mention their level (or lack) of patience.
__________________
Reply With Quote
  #78  
Old 11 Oct 2013, 13:57
eboggs_jkvl eboggs_jkvl is offline
 
Join Date: Feb 2005
Originally Posted by Digital Jedi View Post
The list of what's been updated is posted here: http://www.vbulletin.com/go/422

Take complaints about the update problems with a grain of salt. They're mostly directly related to modification conflicts. And will depend on the users level of understanding of certain things. Not to mention their level (or lack) of patience.

Well, sir, my grain of salt was a site down with no clue why. I've done every update faithfully upon it's release and have not had any issues other than 1 previous problem of "uploading attachments" which proved to be some setting that the ISP needed to make. I accepted that issue as it took a few hours and they located the problem easily through error messages. HOWEVER, the site was functioning perfectly and the one problem they were chasing could "wait" and a later fix was acceptable.

This time, my site was giving a full screen of scrolling warnings and then the forum displayed. The error messages were not coming ICW the upload problem and the ISP was spinning their wheels trying to figure out the issue. Without answers or clues, I saw no reason to stay on 4.2.2 and weather the storm hoping for a cure. Yes, being limited on my coder knowledge, I un-updated back to 4.2.1 as that one worked and currently IS working.

I lost a program called VB Garage Pro and the forum I run is Jaxvette.com. Missing the car information from a car site is not an option. Was it vBulletin's fault? Probably not as it was an added program so I'll try and deal with that issue with the other vendor. That was my "modification" conflict and was trouble shot quickly so that really wasn't the issue as that didn't hamper my board's function. I'm still working with that vendor.

So, in conclusion, the forum once again lost the ability to upload attachments. Why? I still haven't gotten an answer for that. It may be on here by now but I haven't scoured the site today to dig out the answer. My patience was a full day of "try this" to see if it fixes it. Well we got the warnings cleared but the upload and garage were still messed up and no prospects of them ever getting corrected.

I'm not mad about this, I'm disappointed. I now have to read the forum and google the world on every update to see what issues are presented. Then, and only then, I can do the update with all of the OMGs on file so I can keep my site up.

True, I'm not a coder, but I am an end user. Without end users, companies fail in a Capitalistic society.

Elmer Boggs


Edit

Nope, no clue yet as to why the upload attachments is failing on 4.2.2. Bear in mind that I'm not the one person in the whole world with this issue. The last time I think it was a "Post bit" issue but nothing so far on the current issue.

Last edited by eboggs_jkvl; 11 Oct 2013 at 14:08.
Reply With Quote
  #79  
Old 11 Oct 2013, 14:46
ikorolis's Avatar
ikorolis ikorolis is offline
 
Join Date: Sep 2006
Real name: Ilias
Hello everyone

Unfortunately I made the mistake to pass the software upgrade without you suspect that could be a problem as it was the first time that I upgrade the software.

now is the only way as there is no backup before upgrading nor can I do a clean installation from start (preferred quitting altogether my website to convert the blog to put another open source software)

expect to make some kind of upgrade that will fix the problems

an error message that I took after the installation was this:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

(Anyway have update this Mod / Plugin VSa - Visitors In Last X Hours v3.0.5)

Follow instructions and have edit this file class_core.php (includes)
locate lines 5683-5685

Code:
case E_NOTICE:
// Just ignore these completely //
break;

Add lines for Deprecated and/or Strict errors as required ;

Code:
case E_NOTICE:
case E_STRICT:
case E_DEPRECATED:
// Just ignore these completely //
break;
This will bypass the additional error reporting.

and see this errors on error.log

11-Oct-2013 01:31:39 Europe/Athens] PHP Fatal error: Class 'vB' not found in /home/*****/public_html/includes/class_bootstrap_framework.php on line 101
[11-Oct-2013 01:31:41 Europe/Athens] PHP Fatal error: Class 'vB' not found in /home/*****/public_html/includes/class_bootstrap_framework.php on line 101
[11-Oct-2013 02:11:34 Europe/Athens] PHP Warning: set_error_handler() expects the argument (vb_error_handler) to be a valid callback in /home/*****/public_html/includes/init.php on line 57
[11-Oct-2013 02:11:34 Europe/Athens] PHP Fatal error: Class 'vB_Registry' not found in /home/*****/public_html/includes/init.php on line 60
[11-Oct-2013 02:11:36 Europe/Athens] PHP Warning: set_error_handler() expects the argument (vb_error_handler) to be a valid callback in /home/*****/public_html/includes/init.php on line 57
[11-Oct-2013 02:11:36 Europe/Athens] PHP Fatal error: Class 'vB_Registry' not found in /home/*****/public_html/includes/init.php on line 60
[11-Oct-2013 02:11:37 Europe/Athens] PHP Warning: set_error_handler() expects the argument (vb_error_handler) to be a valid callback in /home/*****/public_html/includes/init.php on line 57
[11-Oct-2013 02:11:37 Europe/Athens] PHP Fatal error: Class 'vB_Registry' not found in /home/*****/public_html/includes/init.php on line 60

init.php
Line 57 set_error_handler('vb_error_handler');
Line 60 $vbulletin = new vB_Registry();

class_bootstrap_framework.php
Line 101 vB::init($relative_path);

Anyidea how to fix?

Shared Hosting Package

Server Type Linux
Web Server Apache v2.2.24
PHP 5.3.23
MySQL Version 5.1.70-cll

Time Date Setting (PHP)


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

__________________
The Internet World
http://www.theinternetworld.org
Reply With Quote
  #80  
Old 11 Oct 2013, 15:44
Peafor Peafor is offline
 
Join Date: Aug 2011
Originally Posted by ForceHSS View Post
You don't need a backup, upload the 4.2.1 files then run the upgrade.php it worked for me on all my sites I tested this first on my test site to make sure it worked first

Just make sure you pick the left side option when going from 4.2.2 to 4.2.1
I think I might have to try this.

I also did the upgrade and got errors, thankfully I took back ups of database and forum folder. However, silly me, I reverted to the 4.2.0 patch 3 forum folder but did not replace the database to the saved version.

Now I have a 4.2.2 database with 4.2.0 patch 3 forum.

My only option is to try ForceHSS suggestion above or revert to the last saved 'old' version of my database/forum, which was yesterday morning, but I will lose members and posts that have happened in the mean time.

Can I just ask ForceHSS - when you say 'pick the left side option' what does this mean?

I appreciate this thread, don't feel so alone now.
Reply With Quote
  #81  
Old 11 Oct 2013, 17:33
weave weave is offline
 
Join Date: Jun 2011
If you did the mods to class_core.php - lines 5683-5685 like this:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Some people have had success with adding in "case E_WARNING:"

So your code would be:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


I did not have to add "case E_WARNING:" to my forum and I am fully up and functional 4.2.2 with no known issues reported. This upgrade for sure SUCKS and I feel for all of you who have not been able to get past it.

For additional info I am on:

vBulletin 4.2.2
MySQL 5.5.30
PHP Version 5.3.27

For those wondering what these things are "doing"....

E_NOTICE -- "Run-time notices. Indicate that the script encountered something that could indicate an error, but could also happen in the normal course of running a script."

E_STRICT -- "Enable to have PHP suggest changes to your code which will ensure the best interoperability and forward compatibility of your code. "

E_DEPRECATED -- "User-generated warning message. This is like an E_DEPRECATED, except it is generated in PHP code by using the PHP function trigger_error()."

E_WARNING -- "Run-time warnings (non-fatal errors). Execution of the script is not halted."

Last edited by weave; 11 Oct 2013 at 17:38.
Reply With Quote
  #82  
Old 11 Oct 2013, 17:41
Digital Jedi's Avatar
Digital Jedi Digital Jedi is offline
 
Join Date: Oct 2006
Real name: Mark Daniel Martinez
Originally Posted by eboggs_jkvl View Post
Well, sir, my grain of salt was a site down with no clue why. I've done every update faithfully upon it's release and have not had any issues other than 1 previous problem of "uploading attachments" which proved to be some setting that the ISP needed to make. I accepted that issue as it took a few hours and they located the problem easily through error messages. HOWEVER, the site was functioning perfectly and the one problem they were chasing could "wait" and a later fix was acceptable.

This time, my site was giving a full screen of scrolling warnings and then the forum displayed. The error messages were not coming ICW the upload problem and the ISP was spinning their wheels trying to figure out the issue. Without answers or clues, I saw no reason to stay on 4.2.2 and weather the storm hoping for a cure. Yes, being limited on my coder knowledge, I un-updated back to 4.2.1 as that one worked and currently IS working.

I lost a program called VB Garage Pro and the forum I run is Jaxvette.com. Missing the car information from a car site is not an option. Was it vBulletin's fault? Probably not as it was an added program so I'll try and deal with that issue with the other vendor. That was my "modification" conflict and was trouble shot quickly so that really wasn't the issue as that didn't hamper my board's function. I'm still working with that vendor.

So, in conclusion, the forum once again lost the ability to upload attachments. Why? I still haven't gotten an answer for that. It may be on here by now but I haven't scoured the site today to dig out the answer. My patience was a full day of "try this" to see if it fixes it. Well we got the warnings cleared but the upload and garage were still messed up and no prospects of them ever getting corrected.

I'm not mad about this, I'm disappointed. I now have to read the forum and google the world on every update to see what issues are presented. Then, and only then, I can do the update with all of the OMGs on file so I can keep my site up.

True, I'm not a coder, but I am an end user. Without end users, companies fail in a Capitalistic society.

Elmer Boggs


Edit

Nope, no clue yet as to why the upload attachments is failing on 4.2.2. Bear in mind that I'm not the one person in the whole world with this issue. The last time I think it was a "Post bit" issue but nothing so far on the current issue.
My coding knowledge is limited, as well. I have no education in the field. Almost everything I know is directly related to my time spent using this software, and on this board specifically. As such, I would never tell anyone not to upgrade, just because I couldn't get something to work. And certainly, not because the solution wasn't sorted out in a day. Boards are work. Boards are complex. Sometimes your lack of knowledge on something means you won't sort a problem out today, this month, this year. It's the nature of the beast. My post said to take complaints with a grain of salt, because a person's decision to upgrade should be based on the all available information. I don't think people, especially people who are in the midst of a problem, should be telling anyone with vehemence not to upgrade. That's why comment said what it said, and what I was specifically addressing.
__________________
Reply With Quote
  #83  
Old 11 Oct 2013, 18:00
AndrewSimm's Avatar
AndrewSimm AndrewSimm is offline
 
Join Date: Sep 2006
If you have errors after the upgrade start disabling plugins one by one until the errors go away. Also upgrade to php 5.4.20 if possible.
Reply With Quote
  #84  
Old 11 Oct 2013, 18:11
weave weave is offline
 
Join Date: Jun 2011
Originally Posted by AndrewSimm View Post
If you have errors after the upgrade start disabling plugins one by one until the errors go away. Also upgrade to php 5.4.20 if possible.
My test board is PHP Version 5.4.19 and has all the same issues I saw in the hosted 5.3 server. I will kick it up to .20 and see if that just "fixes" it all
Reply With Quote
  #85  
Old 11 Oct 2013, 19:16
ForceHSS's Avatar
ForceHSS ForceHSS is offline
 
Join Date: Apr 2008
Originally Posted by Peafor View Post
I think I might have to try this.

I also did the upgrade and got errors, thankfully I took back ups of database and forum folder. However, silly me, I reverted to the 4.2.0 patch 3 forum folder but did not replace the database to the saved version.

Now I have a 4.2.2 database with 4.2.0 patch 3 forum.

My only option is to try ForceHSS suggestion above or revert to the last saved 'old' version of my database/forum, which was yesterday morning, but I will lose members and posts that have happened in the mean time.

Can I just ask ForceHSS - when you say 'pick the left side option' what does this mean?

I appreciate this thread, don't feel so alone now.
Install the version you had before the updating of 4.2.2 when you run the upgrade.php you will see a option before you click the upgrade if you dont understand I can post a screenshot
Reply With Quote
  #86  
Old 11 Oct 2013, 19:36
meaters meaters is offline
 
Join Date: Jul 2010
Originally Posted by weave View Post
My test board is PHP Version 5.4.19 and has all the same issues I saw in the hosted 5.3 server. I will kick it up to .20 and see if that just "fixes" it all
Awesome, that will help a lot as I am also on PHP 5.4.20

Good luck man please post how it goes.
Reply With Quote
  #87  
Old 12 Oct 2013, 00:37
eboggs_jkvl eboggs_jkvl is offline
 
Join Date: Feb 2005
Ok, after much tension and nerves stress, the board is up and running with all functionality.

I really appreciate the help on this and hopefully won't have the smoking software the next update that comes down.

The "fix" was to

edit class_core.php

and add lines 5683-5686
case E_NOTICE:
case E_STRICT:
case E_DEPRECATED:
case E_WARNING:


Thanks again to all for helping this 70 year old geezer through this.

Elmer
Reply With Quote
  #88  
Old 12 Oct 2013, 01:03
meaters meaters is offline
 
Join Date: Jul 2010
Awesome!

I've fixed some of the errors too but one remains in album.php

Can you help?

Reply With Quote
  #89  
Old 12 Oct 2013, 01:45
ForceHSS's Avatar
ForceHSS ForceHSS is offline
 
Join Date: Apr 2008
Originally Posted by eboggs_jkvl View Post
Ok, after much tension and nerves stress, the board is up and running with all functionality.

I really appreciate the help on this and hopefully won't have the smoking software the next update that comes down.

The "fix" was to

edit class_core.php

and add lines 5683-5686
case E_NOTICE:
case E_STRICT:
case E_DEPRECATED:
case E_WARNING:


Thanks again to all for helping this 70 year old geezer through this.

Elmer
Your welcome
Reply With Quote
  #90  
Old 12 Oct 2013, 02:35
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Im curious why people resort to editing files before trying the options already provided.

http://www.vbulletin.com/forum/forum...66#post4000466

1. Use the option provided in 4.2.2 to suppress these messages if you have products or hooks in use that still generate errors.

Goto : Settings > Options > Plugin/Hook System and then set the "PHP Compatability" setting to 'Yes'.

This will change the error reporting options within vBulletin on the first hook that is run.

If you have vBulletin Suite (i.e. Blogs / CMS) this setting will pretty much disable all the new Strict & Deprecated messages anywhere.
If you have vBulletin Forum only, and have the Panjo enabled, this setting will also pretty much disable all the new Strict & Deprecated messages anywhere.
I havent seen anyone mention they tried this option first.
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 15:24.

Layout Options | Width: Wide Color: